/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.gradle.plugins.workspace.internal.client.extension;

import groovy.lang.Closure;

import java.util.concurrent.Callable;

import org.gradle.api.Project;
import org.gradle.api.file.CopySpec;
import org.gradle.api.tasks.TaskProvider;
import org.gradle.api.tasks.bundling.Zip;

/**
 * @author Gregory Amerson
 */
public class ThemeJSTypeConfigurer implements ClientExtensionTypeConfigurer {

	@Override
	@SuppressWarnings("serial")
	public void apply(
		Project project, ClientExtension clientExtension,
		TaskProvider<Zip> zipTaskProvider) {

		zipTaskProvider.configure(
			zip -> zip.into(
				new Callable<String>() {

					@Override
					public String call() throws Exception {
						return "static";
					}

				},
				new Closure<Void>(zip) {

					@SuppressWarnings("unused")
					public void doCall(CopySpec copySpec) {
						copySpec.from(project.file("src"));
						copySpec.include("*.js");
						copySpec.setIncludeEmptyDirs(false);
					}

				}));
	}

}